<template>
    <b-container class="container">
        <b-list-group >
            <b-list-group-item 
            v-for="item in todos" 
            :key="item.id"
            align-h="center">

                {{ item.description }}
            <b-button @click="$emit('remove', todo.id)">
                X
            </b-button>
            </b-list-group-item>
        </b-list-group>
    </b-container>
</template>

<script>
  export default {
    name: 'ListTodoItems',
    props: {
        todos: {
            type: Object,
            required: true
        }
    }
  }
</script>